<template>
  <q-layout view="hHh LpR fFf">
    <q-header elevated class="text-white bg-blue">
      <q-toolbar>
        <q-btn dense flat round icon="menu" @click="toggleLeftDrawer" />
        <q-toolbar-title>Mi Rincon {{ titulo }}</q-toolbar-title>
        <q-space />
        <MenuConfiguracion />
      </q-toolbar>
    </q-header>
    <q-drawer
      :width="240"
      show-if-above
      v-model="leftDrawerOpen"
      side="left"
      elevated
      dark
      class="bg-blue-grey-10"
    >
      <div class="text-center text-white q-ma-sm">
        <div class="bg-transparent">
          <q-avatar rounded size="64px" class="q-mb-sm">
            <img
              :src="
                'https://api.mirincon.ar/api/foto/' + user.details.persona.uuid
              "
            />
          </q-avatar>
          <div class="text-weight-bold">
            {{
              user.details.persona.totem
                ? user.details.persona.totem
                : user.details.persona.apellidoynombre
            }}
          </div>
          <q-separator color="white" inset />

          <q-chip square color="blue" text-color="white">
            <template v-if="user.details.is.grupo">
              Grupo {{ user.details.login.organismo_id }}
            </template>

            <template v-if="user.details.is.distrito">
              Distrito {{ user.details.organismos.distrito }} - Zona
              {{ user.details.organismos.zona }}
            </template>

            <template v-if="user.details.is.zona">
              Zona {{ user.details.organismos.zona }}
            </template>
            <template v-if="user.details.is.nacion"> Nacion </template>
          </q-chip>
          <br />
          <small
            v-for="funcion in user.details.login.funciones"
            :key="funcion"
            class="text-caption text-center"
          >
            {{ funcion }} <br />
          </small>
        </div>
      </div>

      <q-separator color="white" inset />
      <q-list padding dark>
        <q-item clickable v-ripple to="/">
          <q-item-section avatar>
            <q-icon name="home" />
          </q-item-section>
          <q-item-section>Panel de Control</q-item-section>
        </q-item>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.name"
          v-bind="link"
        />
      </q-list>
    </q-drawer>
    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>
<style>
@media print {
  .q-drawer-container {
    display: none !important;
  }
}
</style>
<script>
import EssentialLink from 'components/EssentialLink.vue';
import 'IconosScout/dist/css/open-scouts-iconos-fonts.css';
import linksList from './menu';
import { ref } from 'vue';
import { useUserStore } from 'src/stores/user';
import { useMeta, useQuasar } from 'quasar';
import MenuConfiguracion from './MainLayout/_MenuConfiguracion.vue';
// import { useRouter } from 'vue-router';

const titulo = process.env.DEV ? ' - DESARROLLO' : '';

const metaData = {
  // sets document title
  title: 'Mi Rincon',
  // optional; sets final title as "Index Page - My Website", useful for multiple level meta
  titleTemplate: (title) => `${title} ${titulo}`,
};

export default {
  components: {
    EssentialLink,
    MenuConfiguracion,
  },
  setup() {
    const $q = useQuasar();
    // const router = useRouter();

    $q.dark.set(false);

    /*
    onBeforeMount(() => {
      // corrigo bug que cuando queda mal al session , la cierro
      if (store.details.user === undefined) {
        store.logout();
        return router.push({ path: '/logout' });
      }
    }); */

    useMeta(metaData);
    const store = useUserStore();
    const leftDrawerOpen = ref(false);
    return {
      titulo,
      user: store,
      essentialLinks: linksList,
      leftDrawerOpen,
      toggleLeftDrawer() {
        leftDrawerOpen.value = !leftDrawerOpen.value;
      },
    };
  },
};
</script>
